Skip to content
ASDF Projects Tutorials Community
Back to top
View this page

# uri_match

asdf.util.uri_match(pattern, uri)

  Determine if a URI matches a URI pattern with possible wildcards. The two recognized wildcards:

  “*”: match any character except /

  “**”: match any character

  Parameters:
    pattern str

      URI pattern.

    uri str

      URI to check against the pattern.

  Returns:
    bool

      `True` if URI matches the pattern.